
Redmine - Defect #10769

Unable to change the due date on an issue when updating

2012-04-25 19:10 - Del Texley

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.4.1

Description

This is related to defect #10727. When updating an issue the Due Date is greyed out and cannot be changed. Due dates can change

or even be entered incorrectly. In this case no error is generated the user (all the way up to the administrator) is not allowed to

change the value.

History

#1 - 2012-04-25 21:01 - Del Texley

A bit more information and probably not a defect, but a feature.  The issue with the incorrect Due Date has a sub-issue.  The due date on the

sub-issue CAN be changed, it's just the parent issue that cannot be altered.  You can delete the child issue, or remove the "Parent Task" hook to

enable the Due Date field but it also removes the dates that were originally assigned.  I would not expect "unhooking" two issues to remove the dates

from the parent issue as well.

thanks.

#2 - 2012-05-09 10:42 - Mike Pollard

I see the same issue on Redmine 1.2.1 (stable).

Shouldn't the parent issue due date be set to not earlier than the child issue due date?  It makes little sense to have a later earlier due date if it's

dependent on a child issue.

#3 - 2012-05-09 19:34 - Del Texley

I agree that the parent issue should not have an earlier due date than the child issue.  The problem(s) for me are:

1) a (new) child issue that blocks the parent issue from resolution might require the parent issue to have the due date change.

2) the parent issue loses it's dates if the child issue is detached (ie incorrectly attached or determined to be non-related).

Hope that helps.

#4 - 2014-05-07 16:23 - Matteo Steccolini

This issue is still there in Redmine 2.5.0.stable. I sometimes can't change due date on a parent issue even if child issues do NOT have due date set.

#5 - 2014-06-04 02:15 - Toshi MARUYAMA

- Category set to Issues

#6 - 2014-06-04 02:16 - Toshi MARUYAMA

- Description updated

#7 - 2014-06-04 02:17 - Toshi MARUYAMA

- Related to Defect #10727: Unable to change due date for some versions added

#8 - 2014-06-04 02:18 - Toshi MARUYAMA

- Related to deleted (Defect #10727: Unable to change due date for some versions)

#9 - 2016-08-09 14:41 - Felix Bünemann

This issue is likely due to corrupted lft / rgt nodes, so that the issue is not detected as a leaf. I am pretty sure there are concurrency or error handling

issues around writing the lft / rgt values in the awesome_nested_set implementation, because these corruptions happen in our db every couple of

months.
